/**
 * @file
 */

(function ($, Drupal) {
  Drupal.behaviors.mediaHtmlEmbedResponsive = {
    replacePx: function (content) {
      if (typeof content === "string" && content.includes("px")) {
        return parseInt(content.replace("px", ""));
      }

      return content;
    },
    attach: function (context, settings) {
      var object = this;
      $(".media-embeddable>iframe")
        .once("mediaHtmlEmbedResponsive")
        .each(function () {
          var width = object.replacePx(this.width);
          var height = object.replacePx(this.height);

          if (width > 0 && height > 0) {
            var aspectRatio = height / width;
            $(this)
              .parent()
              .addClass("responsive")
              .attr(
                "style",
                "padding-bottom:" + (aspectRatio * 100).toString() + "%;"
              );
          }
        });
    },
  };
})(jQuery, Drupal);
